> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes.md).

# SDK & iFrames

- [JavaScript UI SDK](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk.md)
- [API](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/api.md): Embed your website/checkout-page with our payments widget using our web-component or iframe SDK.
- [Elements SDK](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/api/elements-sdk.md): Complete your checkout process with a list of payment options. From easy-to-use ones like Apple Pay, Google Pay and PayPal (etc), to buy-now-pay-later ones like Klarna, Sezzle, Affirm and more.
- [Express SDK](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/api/express-sdk.md): Speed up the checkout process with Apple Pay, Google Pay, PayPal and the customer's billing & shipping information.
- [Migration to SensePass Elements](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/api/migration-to-sensepass-elements.md): When using the SDK with SensePass Elements, onboarding with Apple Pay enables paying without a intermediate pop-up.
- [Commit Transaction](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/commit-transaction.md): Backend verification step to complete the payment
- [Custom SDK Style](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/custom-sdk-style.md): style selected elements & general themes
- [Simulator](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/simulator.md)
- [Manual Capture (deprecated)](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/javascript-ui-sdk/manual-capture-deprecated.md): THIS METHOD WILL BE DEPRECATED IN FAVOR OF A NEW ONE
- [E-commerce iFrame](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/e-commerce-iframe.md)
- [POS iFrame](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/pos-iframe.md)
- [Credit Card iFrame](https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes/credit-card-iframe.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/transaction-api/sdk-and-iframes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
